> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Client payment



## OpenAPI

````yaml post /client/pay
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /client/pay:
    post:
      tags:
        - Client
      summary: Client payment
      operationId: 0bd465c308125f5e7b0217883b240058
      requestBody:
        description: Payment details are required
        content:
          application/json:
            schema:
              properties:
                number:
                  type: string
                  example: '4242424242424242'
                cvc:
                  description: Card CVC
                  type: string
                  example: '123'
                expiryMonth:
                  description: Card expiry month
                  type: string
                  example: '12'
                expiryYear:
                  description: Card expiry year
                  type: string
                  example: '2023'
                user_id:
                  description: User ID
                  type: integer
                  example: '1'
                fee:
                  description: Payment amount
                  type: number
                  example: '100.00'
                first_name:
                  description: First name
                  type: string
                  example: John
                last_name:
                  description: Last name
                  type: string
                  example: Doe
              type: object
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: string
                    example: success
                  message:
                    type: string
                    example: Payment successful
                type: object
        '422':
          description: Validation error or operation failed
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Validation error
                  errors:
                    description: Detailed errors
                    type: object
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````